Patch SCIM Group
curl --request PATCH \
--url https://api.attention.tech/v2/scim/Groups/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "5b3680ed-0bed-4c98-af91-e75c3f384b15",
"display": "john.doe@example.com"
}
]
}
]
}
'import requests
url = "https://api.attention.tech/v2/scim/Groups/{id}"
payload = {
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "5b3680ed-0bed-4c98-af91-e75c3f384b15",
"display": "john.doe@example.com"
}
]
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp'],
Operations: [
{
op: 'add',
path: 'members',
value: [
{value: '5b3680ed-0bed-4c98-af91-e75c3f384b15', display: 'john.doe@example.com'}
]
}
]
})
};
fetch('https://api.attention.tech/v2/scim/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "group-uuid-123",
"displayName": "Sales Team",
"members": [
{
"value": "user-uuid-1",
"display": "jane@example.com"
}
]
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"code": 401,
"message": "unauthenticated for Invalid API key"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}Scim
Patch SCIM Group
Partially updates a group using SCIM patch semantics.
PATCH
/
scim
/
Groups
/
{id}
Patch SCIM Group
Authorizations
Path Parameters
SCIM ID of the group
Body
application/jsonapplication/scim+json
Response
Group patched successfully
Example:
"1001"
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:okta:custom:group:1.0"
]
Example:
"firstGroup"
Show child attributes
Show child attributes
Example:
[{ "value": "101", "display": "okta" }]
Show child attributes
Show child attributes
Was this page helpful?
⌘I